## grendel.widgets
Class ToggleCellRenderer

    java.lang.Object
      |
      +--grendel.widgets.ToggleCellRenderer

public class ToggleCellRenderer
extends java.lang.Object
implements CellRenderer

Constructor Summary
`ToggleCellRenderer()`

Method Summary
`javax.swing.JCheckBox` | `getCheckBox()`
`java.awt.Component` | `getComponent()`
`void` | `setValue(java.lang.Object aObject, java.lang.Object aData, boolean aSelected)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToggleCellRenderer

    public ToggleCellRenderer()

Method Detail

### setValue

    public void setValue(java.lang.Object aObject,
                         java.lang.Object aData,
                         boolean aSelected)

  Specified by:
    setValue in interface CellRenderer

### getComponent

    public java.awt.Component getComponent()

  Specified by:
    getComponent in interface CellRenderer

### getCheckBox

    public javax.swing.JCheckBox getCheckBox()